Table of Contents

## Name

im_debug, im_printlines - print raw image data pointed by an image descriptor

## Synopsis

#include <vips/vips.h>

void im_debugim( image )
IMAGE *image;

void im_printlines( image )
IMAGE *image;

## Description

im_debugim(3) prints to the standard error output raw data pointed by image sequentially. Data are printed as float numbers and the function interprets the input format properly. If input is complex then for each pixel the real part followed by the imaginary is printed. It can be used for debugging preferably on small images. If input is uchar then the printed values are integers.

im_printlines printes in the standard error output the no of line followed by CR, followed by the line pixel values. For each pixel, the x location followed by the pixel value(s) is printed. The location and the pixels value(s) are separated by a tab. Each pixel is printed on a separate line.

## Copyright

N. Dessipris

## Author

N. Dessipris - 22/04/1991

Table of Contents

- Name
- Synopsis
- Description
- Copyright
- Author